hosts_tests.c File Reference
`#include "hosts.c"`
`#include "networking.h"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`

## Macros

#define | TEN "0123456789"
#define | SIXTY TEN TEN TEN TEN TEN TEN
#define | HUNDRED TEN TEN TEN TEN TEN TEN TEN TEN TEN TEN

## Functions

| Describe (hosts)
| BeforeEach (hosts)
| AfterEach (hosts)
| Ensure (hosts, gvm_hosts_new_never_returns_null)
| Ensure (hosts, gvm_get_host_type_returns_host_type_ipv4)
| Ensure (hosts, gvm_get_host_type_returns_host_type_ipv6)
| Ensure (hosts, gvm_get_host_type_returns_host_type_hostname)
| Ensure (hosts, gvm_get_host_type_returns_host_type_cidr_block)
| Ensure (hosts, gvm_get_host_type_returns_host_type_cidr6_block)
| Ensure (hosts, gvm_get_host_type_returns_host_type_range_short)
| Ensure (hosts, gvm_get_host_type_returns_host_type_range6_short)
| Ensure (hosts, gvm_get_host_type_returns_host_type_range_long)
| Ensure (hosts, gvm_get_host_type_returns_host_type_range6_long)
| Ensure (hosts, gvm_get_host_type_returns_error)
| Ensure (hosts, gvm_hosts_new_with_max_returns_success)
| Ensure (hosts, gvm_hosts_new_with_max_returns_error)
| Ensure (hosts, gvm_hosts_move_host_to_end)
int | main (int argc, char **argv)

## Macro Definition Documentation

## HUNDRED

#define HUNDRED TEN TEN TEN TEN TEN TEN TEN TEN TEN TEN

## SIXTY

#define SIXTY TEN TEN TEN TEN TEN TEN

## TEN

#define TEN "0123456789"

## Function Documentation

## AfterEach()

AfterEach | ( | hosts |  | ) |

## BeforeEach()

BeforeEach | ( | hosts |  | ) |

## Describe()

Describe | ( | hosts |  | ) |

## Ensure() [1/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_error |
| ) |  |

## Ensure() [2/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_cidr6_block |
| ) |  |

## Ensure() [3/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_cidr_block |
| ) |  |

## Ensure() [4/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_hostname |
| ) |  |

## Ensure() [5/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_ipv4 |
| ) |  |

## Ensure() [6/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_ipv6 |
| ) |  |

## Ensure() [7/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_range6_long |
| ) |  |

## Ensure() [8/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_range6_short |
| ) |  |

## Ensure() [9/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_range_long |
| ) |  |

## Ensure() [10/14]

Ensure | ( | hosts | ,
|  | gvm_get_host_type_returns_host_type_range_short |
| ) |  |

## Ensure() [11/14]

Ensure | ( | hosts | ,
|  | gvm_hosts_move_host_to_end |
| ) |  |

## Ensure() [12/14]

Ensure | ( | hosts | ,
|  | gvm_hosts_new_never_returns_null |
| ) |  |

## Ensure() [13/14]

Ensure | ( | hosts | ,
|  | gvm_hosts_new_with_max_returns_error |
| ) |  |

## Ensure() [14/14]

Ensure | ( | hosts | ,
|  | gvm_hosts_new_with_max_returns_success |
| ) |  |

## main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |